package com.usky.rule.exception;

import org.springframework.http.HttpStatus;

public class BizException extends RuntimeException {
    private final String code;

    public BizException(String message) {
        super(message);
        this.code = "200001";
    }

    public BizException(String code, String message) {
        super(message);
        this.code = code;
    }

    public String getCode() {
        return this.code;
    }

    public HttpStatus getHttpStatus() {
        return HttpStatus.OK;
    }
}
